Create a conversation. Run in API Explorer
Ask AI
POST
/api/v1/conversation
curl \
--request POST 'https://api.plannrcrm.com/api/v1/conversation' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Annual Review",
"case": "668fcc6c-bfb3-4fea-aa14-2f6248f27a6c",
"participants": [
"e78f562c-29e4-440a-9b7a-e770ca1db73c",
"7d2409d8-b215-4866-bcca-5603843c2bf0",
"6c3a5cca-c47f-4887-856d-97c4dbf8ccb9"
],
"message": "Hello world!",
"files": [
"fcef93e5-3561-46ec-877c-991b6bdd1007",
"62e4e989-c804-402a-915d-e281c79cacc1",
"7d8f6d3e-7ac9-4e6a-92fd-23dc0f48bf69"
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Annual Review",
"case": "668fcc6c-bfb3-4fea-aa14-2f6248f27a6c",
"participants": [
"e78f562c-29e4-440a-9b7a-e770ca1db73c",
"7d2409d8-b215-4866-bcca-5603843c2bf0",
"6c3a5cca-c47f-4887-856d-97c4dbf8ccb9"
],
"message": "Hello world!",
"files": [
"fcef93e5-3561-46ec-877c-991b6bdd1007",
"62e4e989-c804-402a-915d-e281c79cacc1",
"7d8f6d3e-7ac9-4e6a-92fd-23dc0f48bf69"
]
}
Response examples (200)
{
"uuid": "5f79f7bf-8a12-45b2-ac62-1fb53e126751",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"name": "Welcome to Plannr",
"slug": "welcome-to-plannr",
"belongs_to_case": true,
"case": {
"uuid": "9d3e165c-2857-4e06-9ae3-4547da57706f",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "d8384402-c457-4fb3-a487-7bb18c6bbf3a",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"review_at": "2026-11-20T16:36:29+00:00",
"assigned_to_uuids": [
"7140a52a-054a-4509-9183-7250c729696a"
],
"group_uuids": [
"50d03175-aee8-4b44-aa66-1bf2a6f27581"
],
"completed_at": "2026-11-20T16:36:29+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "1ab4c829-d45d-40b1-8896-1529faa90207",
"plans": {
"uuid": "8e786f13-7f38-45fa-8d00-0be9fdaf7bda",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"opened_at": "2026-11-20T16:36:35+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T16:36:35+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T16:36:35+00:00",
"original_valued_at": "2026-11-19T16:36:35+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
}
},
"participants_count": 3,
"participants": [
{
"uuid": "42b19b81-a3da-4dd4-8211-215e39385374",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "0fb903fe-2d90-4f65-915a-5fa7a9ca7b82",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "08a7e388-87f2-491d-ac3c-3b2726e8d8ea",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "08a7e388-87f2-491d-ac3c-3b2726e8d8ea",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "04ac5464-cd53-48cf-9f1d-acebc7779a7c",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-20T15:46:35+00:00",
"end_date": "2026-11-20T16:14:35+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "eac4947b-5aa7-4622-a306-33463d001270",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"tags": {
"uuid": "aab7084c-b9c0-40e5-aed1-0981f7235489",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-20T16:36:29+00:00",
"next_review_date": "2026-11-20T16:36:29+00:00",
"previous_review_date": "2026-11-20T16:36:29+00:00",
"anniversary_review_date": "2026-11-20T16:36:29+00:00",
"terms_of_business_at": "2026-11-20T16:36:29+00:00",
"client_agreement_at": "2026-11-20T16:36:29+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ff69aecb-511f-4cc2-a320-d88d97e06680",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T16:36:35+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "05e946c3-fd58-4fdd-aca4-f618b10a2aa3",
"login_access_level": "write",
"current_life_stage_uuid": "b5729d2f-4b6f-4a09-8da9-03eb7520e7a4"
},
"circles": {
"uuid": "ff69aecb-511f-4cc2-a320-d88d97e06680",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T16:36:35+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "05e946c3-fd58-4fdd-aca4-f618b10a2aa3",
"login_access_level": "write",
"current_life_stage_uuid": "b5729d2f-4b6f-4a09-8da9-03eb7520e7a4"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:29",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:29+00:00",
"out_of_office_until": "2026-11-20T16:36:29+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "c452b8d8-902b-483e-82fa-d936221aaabe",
"name": "Gold",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"latest_message": {
"uuid": "f2162399-5b45-4947-acc0-01138dad61c4",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"deleted_at": "2026-11-20T16:36:29+00:00",
"contents": "Welcome to Plannr!",
"edited": true,
"is_auto_reply": false,
"files": {
"uuid": "7908f6c8-387d-4d51-a826-c86cabab4384",
"created_at": "2026-11-20T16:36:35+00:00",
"original_created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"uploaded_at": "2026-11-20T16:36:35+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-20T16:36:35+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/450b88eb-6f08-4a8a-994b-50ac50e58fea/download",
"preview_url": "https://api.plannrcrm.com/file/aeacb2c7-cad2-47ab-a375-03485dd82e7a/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"author": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"user": {
"uuid": "9a4677c3-8abe-4c0a-a734-d55b3dfd787e",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"two_factor_enabled": true,
"two_factor_setup_required": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-11-20T16:36:35+00:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"session_expires_at": "2026-11-20T16:36:35+00:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": {
"uuid": "db7e53f5-76c9-4eec-8104-bc0a31a127ee",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"account_uuid": null,
"account_name": "Gareth Thompson",
"reaction": "like"
}
},
"messages_count": 30,
"files_count": 2,
"tags": [
{
"uuid": "22295998-4f0c-4aef-93c7-c2dce68ecba0",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
],
"pinned": true,
"is_admin": false
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}